%define version 1.1.2
%define kderelease 2mdk
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define kdename  korganizer

Name: %{kdename}
Summary: KOrganizer - Calendar and Scheduling Program for KDE
Version: %{version}
Release: %{kderelease}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Source1: korganizer_menuentry
Copyright: GPL
Group: Office
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport

%description
KOrganizer is a complete calendar and scheduling program for KDE.  It
allows interchange with other calendar applications through the industry
standard vCalendar file format.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n korganizer-%{version}

%build
export KDEDIR=/usr
%configure \
	--prefix=/usr \
	--with-install-root=$RPM_BUILD_ROOT

make

%install
make install prefix=$RPM_BUILD_ROOT/usr

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/korganizer

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,755)
/usr/bin/*
/usr/lib/menu/korganizer
%dir /usr/share/icons
/usr/share/icons/korganizer.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/*xpm
%dir /usr/share/icons/large
/usr/share/icons/large/korganizer.xpm
%dir /usr/share/apps
/usr/share/apps/korganizer
%dir /usr/share/config
/usr/share/config/korganizerrc
%dir /usr/share/mimelnk/text
/usr/share/mimelnk/text/x-vcalendar.kdelnk
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/korganizer.mo
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/korganizer

%changelog

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-2mdk

- Don't use autogenerated file list
- Don't use prefix
- Menu entry
- Changed group

* Thu Feb 17 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Korganizer now back in Mandrake

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current KDE_1_1_BRANCH (1.1.2 with fixes)
- rebuild for Red Hat Linux 6.2
- work around Makefile breakage (make install-strip failures)

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for KDE 1.1.2 / Red Hat Linux 6.1

* Mon Jun 21 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.1 snapshot

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated to today's snapshot, called it '3pgb'.

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- updates for our own release

* Sun Dec 20 1998 Duncan Haldane <f.d.m.haldane@cwix.com>
- adapted for the KDE-1.1 release

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- updated file specification to pick up config files as such.








